## Apache Zeta Components Manual :: Docs For Class ezcWebdavResource

### Webdav::ezcWebdavResource

### Class ezcWebdavResource

Struct class representing a non-collection resource.

This struct is used to represent non-collection resources, in contrast to ezcWebdavCollection, which represents collection resources.

Source for this file: /Webdav/src/structs/resource.php

    ezcBaseStruct
       |
       --ezcWebdavResource

Version: | //autogentag//

### Member Variables

public string | `$content` Resource contents
public ezcWebdavPropertyStorage | `$liveProperties` Live properties of resource.
public string | `$path` Path to resource

### Method Summary

public void | `__construct( $path , [ $liveProperties = null] , [ $content = null] )` Creates a new non-collection resource struct.

### Methods

#### __construct

void __construct( string $path , [ezcWebdavPropertyStorage $liveProperties = null] , [string $content = null] )

Creates a new non-collection resource struct.

A new non-collection resource struct is crenated, representing the resource referenced by $path, with the given $liveProperties and $content.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string |
`$liveProperties` | ezcWebdavPropertyStorage |
`$content` | string |

Documentation generated by phpDocumentor 1.4.3